package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.routine.domain.RtFuSolt;
import com.srs.routine.domain.vo.RtFuInserSoltVo;
import com.srs.routine.domain.vo.RtfuRuleVo;

/**
 * 功能房开放时间段Service接口
 *
 * @author srs
 * @date 2024-07-19
 */
public interface IRtFuSoltService extends IService<RtFuSolt> {
    /**
     * 查询功能房开放时间段
     *
     * @param id 功能房开放时间段主键
     * @return 功能房开放时间段
     */
    public RtFuSolt selectRtFuSoltById(Long id);

    /**
     * 查询功能房开放时间段列表
     *
     * @param rtFuSolt 功能房开放时间段
     * @return 功能房开放时间段集合
     */
    List<RtFuSolt> selectRtFuSoltList(RtFuSolt rtFuSolt);

    List<RtfuRuleVo> getList(RtFuSolt rtFuSolt);

    /**
     * 新增功能房开放时间段
     *
     * @param rtFuSolt 功能房开放时间段
     * @return 结果
     */
    int insertRtFuSolt(RtFuSolt rtFuSolt);

    AjaxResult insertSoltAll(List<RtFuInserSoltVo> rtFuInserSoltVo);
    /**
     * 修改功能房开放时间段
     *
     * @param rtFuSolt 功能房开放时间段
     * @return 结果
     */
    int updateRtFuSolt(RtFuSolt rtFuSolt);

    /**
     * 批量删除功能房开放时间段
     *
     * @param ids 需要删除的功能房开放时间段主键集合
     * @return 结果
     */
    int deleteRtFuSoltByIds(Long[] ids);

    /**
     * 删除功能房开放时间段信息
     *
     * @param id 功能房开放时间段主键
     * @return 结果
     */
    int deleteRtFuSoltById(Long id);
}
